Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.code
Interface SymbolEditor

All Known Implementing Classes:
  ClassDescriptionEditorComponent, ClassDescriptionTextField, FillerTextArea, OWLTextArea, OWLTextField, SWRLSymbolEditor, SWRLTextArea, SWRLTextField, SymbolEditorComponent, SymbolTextArea, SymbolTextField

    public interface SymbolEditor

Author:
  Holger Knublauch

Method Summary
`void` | `assignExpression()` Ends the editing process and assigns the expression.
`void` | `backspace()` Performs a backspace operation.
`void` | `cancelEditing()` Cancels the editing process without assigning a value.
`void` | `displayError()` Checks the syntax of the current input and displays the error.
`String` | `getText()` Gets the currently entered text.
`void` | `insertText(String text)` Inserts some text at the caret position.
`void` | `insertText(String text, int caretOffset)` Inserts some text at the caret position and specifies the new caret position within the inserted text.

Method Detail

### assignExpression

    void assignExpression()

  Ends the editing process and assigns the expression. If the expression is invalid, then it calls `displayError`.

### backspace

    void backspace()

  Performs a backspace operation.

### cancelEditing

    void cancelEditing()

  Cancels the editing process without assigning a value.

### displayError

    void displayError()

  Checks the syntax of the current input and displays the error.

### getText

    String getText()

  Gets the currently entered text.

  Returns:
    the text (raw)

### insertText

    void insertText(String text)

  Inserts some text at the caret position.

  Parameters:
    `text` - the text to insert

### insertText

    void insertText(String text,
                    int caretOffset)

  Inserts some text at the caret position and specifies the new caret position within the inserted text.

  Parameters:
    `text` - the text to insert
    `caretOffset` - the caret offset within the text

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.